Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Class ActionGroupImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.activity.ActionGroupImpl

public class ActionGroupImpl
extends BaseImpl
implements CompoundAction, CompoundActionS, ActionCreating, ActionCreatingS, DefaultOrder, DefaultOrderS, ActionGroupS, ActionGroup

A collection of actions under total or partial order constraints.. An action group is an action plan whose basic representation is a sequence of actions that have been created within it. An action group inherits its underlying representation from the OrderedSet type of the collections library. All the members of the ordered set must consist only of actions that are created by one of the createAction messages defined on ActionGroup itself. Once the actions are created, they may be accessed or traversed using standard messages of the OrderedSet type. The action objects are an integral, controlled component of the action plan in which they are created. If they are removed from the action plan collection using a remove message, the only collection in which they may be reinserted is the same collection from which they came. It is permissible, however, to modify the base representation sequence by removing from one position and reinserting at another.

Constructor Summary
`ActionGroupImpl()`
`ActionGroupImpl(Zone aZone)` The create: message creates a new instance of a type with default options.

Methods implemented by this class for interface swarm.activity.ActionCreating
`createAction`

Methods implemented by this class for interface swarm.activity.DefaultOrder
`getDefaultOrder`

Methods implemented by this class for interface swarm.activity.DefaultOrderS
`setDefaultOrder`

Methods implemented by this class for interface swarm.activity.ActionType
`activateIn`

Methods implemented by this class for interface swarm.collections.Collection
`allSameClass, begin, beginPermuted, contains, copy, deleteAll, getCount, getReplaceOnly, remove, removeAll`

Methods implemented by this class for interface swarm.activity.AutoDrop
`getAutoDrop`

Methods implemented by this class for interface swarm.defobj.Copy
`copy`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.collections.Offsets
`atOffset, atOffset$put, getFirst, getLast`

Methods implemented by this class for interface swarm.collections.ForEach
`describeForEach, describeForEachID, forEach, forEach, forEach, forEach`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods implemented by this class for interface swarm.activity.FActionCreating
`createFAction`

Methods implemented by this class for interface swarm.activity.ActionCreatingTo
`createActionTo$message, createActionTo$message, createActionTo$message, createActionTo$message`

Methods implemented by this class for interface swarm.activity.ActionCreatingForEach
`createActionForEach$message, createActionForEach$message, createActionForEach$message, createActionForEach$message, createActionForEachHomogeneous$message`

Methods implemented by this class for interface swarm.activity.FActionCreatingForEachHeterogeneous
`createFActionForEachHeterogeneous$call`

Methods implemented by this class for interface swarm.activity.FActionCreatingForEachHomogeneous
`createFActionForEachHomogeneous$call`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionGroupImpl

    public ActionGroupImpl()

### ActionGroupImpl

    public ActionGroupImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD